cwlVersion: v1.0
class: CommandLineTool
label: Vertical bar plot from Tumor Gene Expression
doc: Construct a vertical bar plot with Tumor Gene Expression
baseCommand:
  - /app/cli/pwb.sh
  - BarplotFrom[[TumorGeneExpression]]
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.terms:
    label: Tumor Gene Expression
    doc: Gene expression in tumors
    type: File
    inputBinding:
      prefix: --inputs.terms=
      separate: false
  inputs.other_terms:
    label: Scored Tissues
    doc: ZScores of Tissues
    type: File
    inputBinding:
      prefix: --inputs.other_terms=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Plotly Plot
    doc: A plot rendered using the [plotly.js
      library](https://plotly.com/javascript/)
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
