cwlVersion: v1.0
class: CommandLineTool
label: Query KF Gene Expression in Tumor
doc: Use KF API to obtain tumors expressing the given gene
baseCommand:
  - /app/cli/pwb.sh
  - KFTumorExpressionFromGene
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.gene:
    label: Gene
    doc: Gene Term
    type: File
    inputBinding:
      prefix: --inputs.gene=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Tumor Gene Expression
    doc: Gene expression in tumors
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
